/*
	TinyCAD program for schematic capture
	Copyright 1994/1995/2002 Matt Pyne.

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include "stdafx.h"

/*
	NOTE: To compile this version of TinyCAD you require the HTML Help Workshop
		  installed in the default directory.

		  If you do not have the html workshop then comment out the function
		  code.

  */

#pragma comment(lib,"c:\\Program Files\\HTML Help Workshop\\Lib\\htmlhelp.lib")
#include <htmlhelp.h>

#include "TinyCad.h"




void CTinyCadApp::OnHelpHelp() 
{
	TCHAR theBuffer[1024];
	DWORD theBytes = GetModuleFileName(NULL,theBuffer,sizeof(theBuffer) - 1);

	if (theBytes == 0)
		return;

	TCHAR* thePtr = theBuffer + theBytes;

	while (thePtr >= theBuffer && *thePtr != _TCHAR('\\'))
	{
		thePtr--;
	}
	*thePtr = _TCHAR('\0');

	CString theHelpFile = theBuffer;
	theHelpFile += "\\TinyCAD.chm";

	HtmlHelp(AfxGetMainWnd()->m_hWnd,theHelpFile,HH_DISPLAY_TOPIC,0);
}


